xdiff_string_bdiff
xdiff_string_diff_binary
xdiff Functions
PHP Manual

# xdiff_string_bpatch

(No version information available, might be only in CVS)

xdiff_string_bpatch — Patch a string with a binary diff

### Description

string xdiff_string_bpatch ( string `$str` , string `$patch` )

Patches a string `str` with a binary `patch` . This function accepts patches created both via xdiff_string_bdiff() and xdiff_string_rabdiff() functions or their file counterparts.

### Parameters

`str`

  The original binary string.

`patch`

  The binary patch string.

### Return Values

Returns the patched string, or `FALSE` on error.

### See Also

- xdiff_string_bdiff()
- xdiff_string_rabdiff()

xdiff_string_bdiff
xdiff_string_diff_binary
xdiff Functions
PHP Manual